import React, { Component } from 'react';
import PropTypes from 'prop-types';
import {
	Template as SemanticTemplate
} from 'semantic-ui-react';

import * as styles from './Style.less';

export default class Template extends Component {
	static propTypes = {
		onClick: PropTypes.func
	};

	static defaultProps = {
		onClick: null
	};

	constructor(props) {
		super(props);

		this.state = {
			
		};
	}

	render() {
		return (
			<SemanticTemplate
				className={styles.Template}
				onClick={this.props.onClick}
			/>
		);
	}
}
